<div class="modal" id="myModal" style="">
  <div class="modal-dialog modal-lg" role="document" id="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">

        {{include 'default/chart_bars.html'}}
        {{include 'default/chart.html'}}

        <!--<h5 class="modal-title">POSTS</h5>-->
        <!--<button type="button" class="close" data-dismiss="modal" aria-label="Close">-->
          <!--<span aria-hidden="true">&times;</span>-->
        <!--</button>-->
      </div>
      <div class="modal-body">
        
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>

<style>
.mycard{
  border: 1px solid #ddd;
  margin: 10px;
  background-color: #fff;
}
.card-text{
  padding:10px;
}
.modal-body{
  background-color: #f3f3f3;
}
#modal-dialog{
  width:800px;
}
  @media only screen and (max-width: 600px) and (orientation: portrait) {
      #modal-dialog{
        width:330px;
        float:right;
      }
      .table {
        width:400px;
      }
}
li {
  font-size: 15px;
}
li span, li i {
  font-size:16px;
}
.reaction_number{

  margin-left:-4px;
  margin-right:7px;
}
</style>

<script>

  function mount_post_content(post, post_index){
    var img_src = post.full_picture;
    var img_link = '';
    if (img_src != 0) {
      img_link = '<img src=" ' + img_src + ' " alt="" style="width:100%">'
    }
    var message = post.message_post;
    var shares = post.shares_count;
    var comments = post.comments.length;
    var post_date = post.created_time;
    var facebook_post = post.post_id;
    var engadgement = Math.round(post.engadgement*100)/100;
    var reactions = parseInt(post.reactions_like) + parseInt(post.reactions_love) + parseInt(post.reactions_wow) + parseInt(post.reactions_haha) + parseInt(post.reactions_sad) + parseInt(post.reactions_angry);


    var mystring =  ` 
      <div class="mycard" id="card-${post_index}"> 
          ${img_link}
          <p style="padding:20px; font-size:16px">
            ${message}
         </p>

          <div class="card-text">

      <b>${post_date}</b><br/>
      <a style="cursor:pointer" href="https://facebook.com/${facebook_post}" target="_blank">Ver post en Facebook</a>

            <ul class="list-group" style="max-width:320px; margin:auto;">
              <li class="list-group-item d-flex justify-content-between align-items-center">
                ENGADGEMENT
                <span class="badge badge-primary badge-pill"> ${engadgement} &nbsp;%</span>
              </li>
              <li class="list-group-item d-flex justify-content-between align-items-center">
                Shares
                <span class="badge badge-primary badge-pill"> ${shares}</span>
              </li>
              <li class="list-group-item d-flex justify-content-between align-items-center">
                Comentarios
                <span class="badge badge-primary badge-pill"> ${comments}</span>
              </li>
              <li class="list-group-item d-flex justify-content-between align-items-center">
                Reacciones
                <span class="badge badge-primary badge-pill"> ${reactions}</span>
              </li>
              <li class="list-group-item d-flex justify-content-between align-items-center">
                <i class="fa fa-thumbs-up"></i>
                <span class="reaction_number"> ${post.reactions_like}</span>
                <span class="icon-heart"></span>
                <span class="reaction_number"> ${post.reactions_love}</span>
                <span class="icon-shocked"></span>
                <span class="reaction_number"> ${post.reactions_wow}</span>
                <span class="icon-grin"></span>
                <span class="reaction_number"> ${post.reactions_haha}</span>
                <span class="icon-crying"></span>
                <span class="reaction_number"> ${post.reactions_sad}</span>
                <span class="icon-angry"></span>
                <span class="reaction_number"> ${post.reactions_angry}</span>
                <span class="icon-wink"></span>
                <span class="reaction_number"> ${post.reactions_thankful}</span>
              </li>
            </ul>
          </div>
        </div>
    `
    return mystring;
  }

</script>
